قالب:توافق متصفحات الإنترنت

This page is a translated version of the page Template:Compatibility browser and the translation is 96% complete.
Outdated translations are marked like this.
مصفوفة دعم المتصفح كما هو في مايو 2024 ع · ن · ت
المتصفحات Chrome Edge Firefox Safari iOS Android
حديث (التنصيف أ) إصدارات السنوات الثلاث السابقة (٢٠٢١) 11.1+ (2018) 11.3+ (2018) 5+ (2014)
أساسي (التنصيف ج) 49+ (2016) 79+ (2020) 49+ (2016) 10+ (2016) 10+ (2016) 5+ (2014)[note 1]
غير معلوم (التنصيف مجهول) كافة المتصفحات الأخرى
تداعيات عملية كما هو في مايو 2024
المنصة الحد الأدنى لنظام التشغيل أو الجهاز المتصفح المعاصر المدعوم
Android Moto G (1st generation (2013)
Google Nexus 4 (2012)
Android 5.1, Chrome 91-95
Samsung Galaxy S5 (2014) Android 6.0, Chrome 91-106
iOS iPhone 5S (2013) iOS Mobile Safari 11.3 - 12 (2018-2023)[note 2]
Linux Debian 10 Buster (2019) firefox-esr 102
Ubuntu 18.04 LTS (2018) فيرفكس (الحالي)، متصفح كروميوم (الحالي)
macOS OS X 10.11 El Capitan (2015-2018) سفاري 11.1, كروم 91-103
macOS 10.13 High Sierra (2017-2020) سفاري 11.1-13, فيرفكس 115 ESR, كروم 91-116
macOS 10.15 Catalina (2019-2022) سفاري 13-15, فيرفكس الحالية, من كروم 91 إلى النسخة الحالية
Windows Windows 7 (2009-2020) إيدج 91-109, فيرفكس 115 ESR, كروم 91-109

قائمة التغييرات، آخرها أولًا:

  • As of MediaWiki 1.43, Basic support is removed for Internet Explorer 11 (IE 11), Edge 12–18, Chrome 31–48, Firefox 39–48, Safari 9 on macOS and iOS, and Opera. Chromium versions of Opera will probably see exactly the same experience as before. T288287
  • كما هو في 2023، جرى إعادة تحديد أهداف الدعم؛ لأجل كروم والمتصفحات المعتمدة على كروم، أصبح الأمر الآن هو إصدارات السنوات الثلاث السابقة (تغطي ثلاث سنوات بدلًا من ثلاثة أشهر)؛ لأجل فيرفكس، أصبح الأمر الآن إصدارات الدعم طويل الأجل الحالية والسابقة (تغطي تقريبًا نفس المجال الزمني). T178356
  • كما هو في ميدياويكي 1.41، رفع دعم Modern من إنترنت إكسبلورر 11 وmacOS وiOS Safari 9-10 وفيرفكس 39 إلى 53. T178356
  • بدءا من برمجيات ميدياويكي 1.39، رفع الدعم الأساسي لمتصفح إنترنت إكسبلورر 9 و10، فيرفكس 27 إلى 38، وأندرويد 4.3 و4.4. T293298, T297313, T290815
  • بدءا من برمجيات ميدياويكي 1.36، رفع دعم Basic من فيرفكس 3-26 وإنترنت إكسبلورر 8 وسفاري 3-8 وآي أو إس (سفاري) 5-8 وأندرويد 3.0 إلى 4.2 وكروم 1-30 وأوبرا 15-18. T248061, T262946, T266866
  • بدءا من برمجيات ميدياويكي 1.36، رفع دعم Modern من أندرويد 4.1 و4.2 وكذلك آي أو إس 6.1‎-8 وسفاري 5.1‎-8. T266866
  • بدءا من برمجيات ميدياويكي 1.35، رفع الدعم الأساسي لمتصفح إنترنت إكسبلورر 6 و7 وأندرويد 2. T232563, T249788
  • بدءا من برمجيات ميدياويكي 1.31، جرى تعطيل جافا سكريبت لمتصفح إنترنت إكسبلورر 10. T187869
  • بدءا من برمجيات ميدياويكي 1.29، جرى تعطيل جافا سكريبت لمتصفح إنترنت إكسبلورر 9 وكذلك متصفحات أخرى لا تستند إلى ES5. T128115
  • بدءا من برمجيات ميدياويكي 1.27، جرى تعطيل جافا سكريبت لمتصفح إنترنت إكسبلورر 8. T118303, رسالة سفراء ويكي التقنية
  • بدءا من برمجيات ميدياويكي 1.24، جرى تعطيل جافا سكريبت لمتصفح إنترنت إكسبلورر 6 و 7. gerrit:152072, gerrit:152128, رسالة سفراء ويكي التقنية

ملاحظات

  1. لاحظ أن هذا يشير إلى متصفح أندرويد الافتراضي. في حالة كروم المخصص لأجهزة أندرويد، شريطة أنك تستخدم كروم 31 وما بعده، يتطلب هذا نظام التشغيل أندرويد 4.0+(2012). For Firefox for Android, provided that you're running Firefox 49+, it requires Android 4.0+(2011).
  2. لم يعد نظام التشغيل iOS 11 يدعم أجهزة آيفون 5 وما قبلها
توثيق القالب

الاستخدام

{{Compatibility browser}}

Prints the compatibility of browsers.

Template parameters[Edit template data]

This template prefers block formatting of parameters.

ParameterDescriptionTypeStatus
No parameters specified

انظر أيضا